plugins {
    id 'prestoplay.android-demo-convention'
}

android {
    lint {
        abortOnError false
        checkReleaseBuilds false
    }
    buildFeatures {
        viewBinding true
    }
    namespace 'com.castlabs.sdk.demos'
}

dependencies {
    // castlabs dependencies
    implementation castlabs.demoapputils

    implementation castlabs.playerui
    implementation castlabs.ima
    implementation castlabs.oma
    implementation castlabs.subtitles
    implementation castlabs.debug
    implementation castlabs.devicetime
    implementation castlabs.thumbnails
    implementation castlabs.okhttp
    implementation castlabs.amlogic

    implementation demos.androidx.appcompat
    implementation demos.androidx.legacy
    implementation demos.androidx.constraintlayout
    implementation demos.google.material
}
